## ceilometer 25.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

xmltodict>=0.13.0 # MIT License
cachetools>=2.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futurist>=1.8.0 # Apache-2.0
jsonpath-rw-ext>=1.1.3 # Apache-2.0
lxml>=4.5.1 # BSD
msgpack>=0.5.2 # Apache-2.0
oslo.concurrency>=3.29.0 # Apache-2.0
oslo.config>=8.6.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
oslo.messaging>=10.3.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.18.0 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0  # Apache-2.0
PyYAML>=5.1 # MIT
requests>=2.25.1 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
tooz>=1.47.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
gnocchiclient>=7.0.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0
prometheus_client>=0.20.0 # Apache-2.0
requests-aws>=0.1.4 # BSD License (3 clause)
aodhclient>=3.8.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:25.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:39:26 +0200

ceilometer (2:25.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 13:29:59 -0700

ceilometer (2:24.0.0+git2025070714.e2eab4b75-0ubuntu2) questing; urgency=medium

  * d/p/skip-RGW-tests-if-awsauth-not-available.patch: Add patch.
    This patch handles skipping aws-auth functionality if requests-aws
    is not installed. (LP: #2120483)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 22 Aug 2025 07:03:17 -0700

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 python3-aodhclient (>= 3.5.1),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-confluent-kafka (>= 0.11.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-kafka,
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-libvirt,
 python3-lxml (>= 4.5.1),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.5.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.8.0),
 python3-prometheus-client,
 python3-requests (>= 2.25.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.47.0),
 python3-xmltodict (>= 0.13.0),
 python3-yaml (>= 5.1),
 python3-zake,
 python3-zaqarclient (>= 1.3.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
Homepage: https://opendev.org/openstack/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-aodhclient (>= 3.5.1),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.30.1),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.18.0),
 python3-libvirt,
 python3-lxml (>= 4.5.1),
 python3-monascaclient (>= 1.12.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.2),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.29.0),
 python3-oslo.config (>= 1:8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 10.3.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.25.1),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 1.47.0),
 python3-xmltodict (>= 0.13.0),
 python3-yaml (>= 5.1),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-awsauth (>= 0.1.4),
 python3-kafka (>= 1.3.2),
 python3-zake,
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 module for ceilometer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ceilometer
export PYBUILD_BEFORE_TEST=cp -r {dir}/etc {build_dir};cp -r {dir}/tools {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/etc {build_dir}/tools
export PYBUILD_TEST_ARGS=--exclude-regex 'ceilometer\.tests\.unit\.test_bin.*'

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3 --buildsystem=pybuild

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 --test-path=./ceilometer/tests/unit 'ceilometer\.tests\.unit\.(?!(.*test_bin.*))'
endif

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	rm -rf $(CURDIR)/debian/python3-ceilometer/usr/etc
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository .stestr
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/tests/control ===
Tests:
 test-services,
Depends:
 ceilometer-agent-central,
 ceilometer-agent-ipmi,
 ceilometer-agent-notification,
 ceilometer-common,
 ceilometer-polling,
 rabbitmq-server,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(25.\d.*)\.tar\.gz

## ceilometer 25.0.0+git20260122.52.0ff494d01

=== requirements.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
 oslo.cache>=1.26.0 # Apache-2.0
 gnocchiclient>=7.0.0 # Apache-2.0
 python-zaqarclient>=1.3.0 # Apache-2.0
-prometheus_client>=0.20.0 # Apache-2.0
-requests-aws>=0.1.4 # BSD License (3 clause)
+prometheus-client>=0.20.0 # Apache-2.0
 aodhclient>=3.8.0 # Apache-2.0
+awscurl>=0.36 # MIT
+botocore>=1.20.0 # Apache-2.0
+openstacksdk>=4.6.0 # Apache-2.0

=== debian/changelog ===
ceilometer (2:25.0.0+git20260122.52.0ff494d01-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 25.0.0+git20260122.52.0ff494d01
  * d/p/skip-RGW-tests-if-awsauth-not-available.patch: Drop obsolete
  * d/patches/*: refresh patches
  * New upstream snapshot from 0ff494d01be85a748c7f5ae583ee47d77b091ff2
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/skip-RGW-tests-if-awscurl-not-available.patch: Update patch.
  * d/p/skip-kafka-test-due-to-dep-conflict.patch: Add patch to skip kafka
    test until supported by Python 3.14.
  * d/control: Drop python-confluent-kafka as that test was patched out.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 08:30:48 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-aodhclient (>= 3.5.1),
  python3-cachetools (>= 2.1.0),
  python3-cinderclient (>= 1:3.3.0),
- python3-confluent-kafka (>= 0.11.0),
  python3-cotyledon (>= 1.3.0),
  python3-croniter,
  python3-dateutil (>= 2.4.2),

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@  --with python3,sphinxdoc --buildsystem=pybuild
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(25.\d.*)\.tar\.gz

## ceilometer 2013.1

=== doc/requirements.txt ===
http://tarballs.openstack.org/nova/nova-master.tar.gz
# we need the keystone middleware for the API service
http://tarballs.openstack.org/keystone/keystone-master.tar.gz
webob
kombu
iso8601
argparse
sqlalchemy
eventlet
anyjson>=0.3.1
Flask==0.9
sphinxcontrib-httpdomain
pymongo>=2.2.1

=== debian/changelog ===
ceilometer (2013.1-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New upstream release for the Ubuntu Cloud Archive. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Apr 2013 07:50:35 -0500

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6),
 python-nose,
 python-anyjson (>= 0.2.4),
 python-argparse,
 python-babel (>= 0.9.6),
 python-coverage,
 python-docutils,
 python-eventlet,
 python-extras,
 python-flask (>= 0.9),
 python-glanceclient,
 python-iso8601,
 python-keystoneclient (<< 1:0.3),
 python-kombu,
 python-lockfile,
 python-lxml,
 python-migrate,
 python-mock,
 python-mox,
 python-netaddr,
 python-netifaces,
 python-novaclient (>= 2.6.10),
 python-oslo.config,
 python-pecan (>= 0.2.0),
 python-pymongo (>= 2.2),
 python-requests,
 python-setuptools-git (>= 0.4),
 python-sphinx,
 python-sqlalchemy,
 python-stevedore (>= 0.6),
 python-swift,
 python-swiftclient,
 python-unittest2,
 python-webob (>= 1.2),
 python-wsme (>= 0.5b1),
 python-yaml
Standards-Version: 3.9.4

Package: python-ceilometer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the python libraries that are needed for all parts
 of ceilometer

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 python-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-collector
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer collector service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the collector service

Package: ceilometer-api
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: mongodb
Description: ceilometer api service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 This package contains the api service

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 aquire all counters they need to establish  customer billing, accross all
 current and future OpenStack components. The delivery of counters must
 be tracable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	mkdir -p ${HOME}
	PYTHONPATH=$(CURDIR) nosetests || true
endif

override_dh_install:
	cp etc/ceilometer/ceilometer.conf.sample etc/ceilometer/ceilometer.conf
	dh_install

override_dh_auto_clean:
	rm -f etc/ceilometer/ceilometer.conf
	rm -f ${HOME}
	dh_auto_clean

## ceilometer 2013.2~b1

=== requirements.txt ===
d2to1>=0.2.10,<0.3
pbr>=0.5,<0.6
WebOb>=1.2
kombu
iso8601
argparse
SQLAlchemy>=0.7,<=0.7.99
sqlalchemy-migrate>=0.7.2
pymongo>=2.2
eventlet
anyjson>=0.2.4
Flask==0.9
pecan>=0.2.0
stevedore>=0.7
msgpack-python
python-glanceclient
python-novaclient>=2.6.10
python-keystoneclient>=0.2.3
python-swiftclient
lxml
requests>=1.1
wsme>=0.5b2
pyyaml
oslo.config>=1.1.0
happybase>=0.4

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends:
  debhelper (>= 8.0.0),
  python-all (>= 2.6),
- python-nose,
  python-anyjson (>= 0.2.4),
  python-argparse,
  python-babel (>= 0.9.6),
  python-coverage,
+ python-d2to1,
  python-docutils,
  python-eventlet,
  python-extras,
+ python-fixtures,
  python-flask (>= 0.9),
  python-glanceclient,
+ python-happybase,
  python-iso8601,
  python-keystoneclient (<< 1:0.3),
  python-kombu,
@@ -25,8 +27,10 @@
  python-mox,
  python-netaddr,
  python-netifaces,
+ python-nova,
  python-novaclient (>= 2.6.10),
  python-oslo.config,
+ python-pbr,
  python-pecan (>= 0.2.0),
  python-pymongo (>= 2.2),
  python-requests,
@@ -36,10 +40,13 @@
  python-stevedore (>= 0.6),
  python-swift,
  python-swiftclient,
+ python-testtools,
  python-unittest2,
  python-webob (>= 1.2),
  python-wsme (>= 0.5b1),
- python-yaml
+ python-yaml,
+ testrepository,
+ msgpack-python
 Standards-Version: 3.9.4
 
 Package: python-ceilometer

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,12 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	mkdir -p ${HOME}
-	PYTHONPATH=$(CURDIR) nosetests || true
+	testr init && testr run || true
 endif
 
 override_dh_install:
 	cp etc/ceilometer/ceilometer.conf.sample etc/ceilometer/ceilometer.conf
-	dh_install
+	dh_install --fail-missing
 
 override_dh_auto_clean:
 	rm -f etc/ceilometer/ceilometer.conf

## ceilometer 2013.2~b2

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
+ alembic,
  debhelper (>= 8.0.0),
+ msgpack-python,
  python-all (>= 2.6),
- python-anyjson (>= 0.2.4),
- python-argparse,
+ python-anyjson (>= 0.3.3),
  python-babel (>= 0.9.6),
+ python-ceilometerclient (>= 1.0.1),
+ python-cinderclient,
  python-coverage,
  python-d2to1,
  python-docutils,
  python-eventlet,
  python-extras,
- python-fixtures,
+ python-fixtures (>= 0.3.12),
  python-flask (>= 0.9),
  python-glanceclient,
  python-happybase,
  python-iso8601,
- python-keystoneclient (<< 1:0.3),
- python-kombu,
+ python-keystoneclient (>= 1:0.2),
+ python-kombu (>= 2.4.7),
  python-lockfile,
  python-lxml,
  python-migrate,
@@ -28,30 +31,61 @@
  python-netaddr,
  python-netifaces,
  python-nova,
- python-novaclient (>= 2.6.10),
- python-oslo.config,
+ python-novaclient (>= 1:2.6.10),
+ python-oslo.config (>= 1:1.2.0a3),
+ python-oslo.sphinx,
  python-pbr,
  python-pecan (>= 0.2.0),
  python-pymongo (>= 2.2),
- python-requests,
+ python-requests (>= 1.1),
  python-setuptools-git (>= 0.4),
+ python-simplejson,
  python-sphinx,
  python-sqlalchemy,
- python-stevedore (>= 0.6),
+ python-stevedore (>= 0.9),
+ python-subunit,
  python-swift,
  python-swiftclient,
+ python-testscenarios,
  python-testtools,
  python-unittest2,
  python-webob (>= 1.2),
- python-wsme (>= 0.5b1),
+ python-wsme (>= 0.5b2),
  python-yaml,
- testrepository,
- msgpack-python
+ testrepository (>= 0.0.13)
 Standards-Version: 3.9.4
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/havana
 
 Package: python-ceilometer
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends:
+ alembic,
+ msgpack-python,
+ python-anyjson,
+ python-ceilometerclient,
+ python-eventlet,
+ python-flask,
+ python-glanceclient,
+ python-happybase,
+ python-iso8601,
+ python-keystoneclient,
+ python-kombu,
+ python-lxml,
+ python-migrate,
+ python-novaclient,
+ python-oslo.config,
+ python-pecan,
+ python-pymongo,
+ python-yaml,
+ python-requests,
+ python-sqlalchemy,
+ python-stevedore,
+ python-swiftclient,
+ python-webob,
+ python-wsme,
+ ${misc:Depends},
+ ${python:Depends}
 Description: ceilometer python libraries
  Ceilometer aims to deliver a unique point of contact for billing systems to
  aquire all counters they need to establish  customer billing, accross all

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	mkdir -p ${HOME}
-	testr init && testr run || true
+	testr init && testr run
 endif
 
 override_dh_install:
@@ -23,5 +22,5 @@
 
 override_dh_auto_clean:
 	rm -f etc/ceilometer/ceilometer.conf
-	rm -f ${HOME}
+	rm -rf .testrepository
 	dh_auto_clean

## ceilometer 2013.2~rc2

=== requirements.txt ===
pbr>=0.5.21,<1.0
WebOb>=1.2.3,<1.3
kombu>=2.4.8
iso8601>=0.1.4
argparse
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
alembic>=0.4.1
netaddr
pymongo>=2.4
eventlet>=0.13.0
anyjson>=0.3.3
Flask>=0.10,<1.0
pecan>=0.2.0
stevedore>=0.10
msgpack-python
python-glanceclient>=0.9.0
python-novaclient>=2.15.0
python-keystoneclient>=0.3.2
python-ceilometerclient>=1.0.5
python-swiftclient>=1.5
lxml>=2.3
requests>=1.1
six
WSME>=0.5b5
PyYAML>=3.1.0
oslo.config>=1.2.0
happybase>=0.4

=== debian/control ===
--- 
+++ 
@@ -3,56 +3,51 @@
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- alembic,
+ alembic (>= 0.6.0),
  debhelper (>= 8.0.0),
  msgpack-python,
  python-all (>= 2.6),
  python-anyjson (>= 0.3.3),
  python-babel (>= 0.9.6),
- python-ceilometerclient (>= 1.0.1),
- python-cinderclient,
+ python-ceilometerclient (>= 1.0.3),
  python-coverage,
- python-d2to1,
  python-docutils,
- python-eventlet,
- python-extras,
- python-fixtures (>= 0.3.12),
- python-flask (>= 0.9),
- python-glanceclient,
+ python-eventlet (>= 0.13.0),
+ python-fixtures (>= 0.3.14),
+ python-flask (>= 0.10),
+ python-glanceclient (>= 1:0.9.3),
+ python-httplib2,
  python-happybase,
  python-iso8601,
- python-keystoneclient (>= 1:0.2),
+ python-keystoneclient (>= 1:0.3.2),
  python-kombu (>= 2.4.7),
- python-lockfile,
- python-lxml,
+ python-lxml (>= 2.3),
  python-migrate,
  python-mock,
  python-mox,
  python-netaddr,
- python-netifaces,
  python-nova,
- python-novaclient (>= 1:2.6.10),
- python-oslo.config (>= 1:1.2.0a3),
+ python-novaclient (>= 1:2.12.10),
+ python-oslo.config (>= 1:1.2.0),
  python-oslo.sphinx,
- python-pbr,
+ python-pbr (>= 0.5.21),
  python-pecan (>= 0.2.0),
- python-pymongo (>= 2.2),
+ python-pymongo (>= 2.6),
  python-requests (>= 1.1),
- python-setuptools-git (>= 0.4),
  python-simplejson,
  python-sphinx,
- python-sqlalchemy,
- python-stevedore (>= 0.9),
+ python-sqlalchemy (>= 0.8.2),
+ python-stevedore (>= 0.10),
  python-subunit,
+ python-six,
  python-swift,
- python-swiftclient,
- python-testscenarios,
- python-testtools,
- python-unittest2,
- python-webob (>= 1.2),
- python-wsme (>= 0.5b2),
+ python-swiftclient (>= 1.5),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 0.9.32),
+ python-webob (>= 1.2.3),
+ python-wsme (>= 0.5b5),
  python-yaml,
- testrepository (>= 0.0.13)
+ testrepository (>= 0.0.17)
 Standards-Version: 3.9.4
 Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ceilometer/havana/files
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ceilometer/havana
@@ -60,30 +55,32 @@
 Package: python-ceilometer
 Architecture: all
 Depends:
- alembic,
+ alembic (>= 0.6.0),
  msgpack-python,
- python-anyjson,
- python-ceilometerclient,
- python-eventlet,
- python-flask,
- python-glanceclient,
+ python-anyjson (>= 0.3.3),
+ python-ceilometerclient (>= 1.0.3),
+ python-eventlet (>= 0.13.0),
+ python-flask (>= 0.10),
+ python-glanceclient (>= 1:0.9.3),
  python-happybase,
  python-iso8601,
- python-keystoneclient,
- python-kombu,
- python-lxml,
+ python-keystoneclient (>= 1:0.3.2),
+ python-kombu (>= 2.4.8),
+ python-lxml (>= 2.3),
  python-migrate,
- python-novaclient,
- python-oslo.config,
- python-pecan,
- python-pymongo,
+ python-netaddr,
+ python-novaclient (>= 1:2.12.10),
+ python-oslo.config (>= 1:1.2.0),
+ python-pecan (>= 0.2.0),
+ python-pymongo (>= 2.6),
+ python-six,
  python-yaml,
- python-requests,
- python-sqlalchemy,
- python-stevedore,
- python-swiftclient,
- python-webob,
- python-wsme,
+ python-requests (>= 1.1),
+ python-sqlalchemy (>= 0.8.2),
+ python-stevedore (>= 0.10),
+ python-swiftclient (>= 1.5),
+ python-webob (>= 1.2.3),
+ python-wsme (>= 0.5b5),
  ${misc:Depends},
  ${python:Depends}
 Description: ceilometer python libraries

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	testr init && testr run
+	testr init && PYTHONPATH="$(CURDIR)" testr run
 endif
 
 override_dh_install:
@@ -21,6 +21,7 @@
 	dh_install --fail-missing
 
 override_dh_auto_clean:
+	dh_auto_clean
 	rm -f etc/ceilometer/ceilometer.conf
 	rm -rf .testrepository
-	dh_auto_clean
+	rm -rf pbr*.egg

=== debian/tests/control ===
Tests: test_daemons test_python_ceilometer
Depends: python-ceilometer, ceilometer-common, ceilometer-collector, ceilometer-api, ceilometer-agent-compute, ceilometer-agent-central

## ceilometer 2013.2.1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 pbr>=0.5.21,<1.0
 WebOb>=1.2.3,<1.3
 kombu>=2.4.8
-iso8601>=0.1.4
+iso8601>=0.1.8
 argparse
 SQLAlchemy>=0.7.8,<=0.7.99
 sqlalchemy-migrate>=0.7.2
@@ -21,8 +21,8 @@
 python-swiftclient>=1.5
 lxml>=2.3
 requests>=1.1
-six
-WSME>=0.5b5
+six>=1.4.1
+WSME>=0.5b5,<0.5b6
 PyYAML>=3.1.0
 oslo.config>=1.2.0
 happybase>=0.4

=== debian/changelog ===
ceilometer (2013.2.1-2) unstable; urgency=medium

  * Added missing version depends for python-iso8601 (needs >= 0.1.8).
  * Removes .testrepository and nova_tests/.testrepository on clean to allow
    double builds (Closes: #732372).

  [ Gaudenz Steinlin ]
  * Add fix for compatibility with WSME>=0.5b6 taken from upstream commit
    e4a1a4fcefd4718e057cf8128c9a6c6b7c98ef59 (Closes: #732367).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2013 19:27:36 +0800

ceilometer (2013.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Removes CVE-2013-6384_mongodb_db2_do_not_print_full_URL_in_logs.patch now
    applied upstream.
  * Refresh requirements.txt patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Dec 2013 16:08:44 +0800

ceilometer (2013.2-6) unstable; urgency=medium

  * Added msgpack_python python-msgpack in debian/pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Dec 2013 09:25:35 +0800

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 6~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-d2to1 (>= 0.2.10),
               python-pbr (>= 0.5.21)
Build-Depends-Indep: alembic (>= 0.4.2),
                     mongodb,
                     pep8,
                     python-anyjson (>= 0.3.3),
                     python-babel,
                     python-ceilometerclient (>= 1.0.6),
                     python-coverage,
                     python-docutils (>= 0.9.1),
                     python-eventlet (>= 0.13.0),
                     python-extras,
                     python-fixtures (>= 0.3.14),
                     python-flask (>= 0.10),
                     python-glance (>= 2013.2~),
                     python-glanceclient (>= 1:0.10.0),
                     python-happybase,
                     python-httplib2,
                     python-iso8601 (>= 0.1.8),
                     python-keystoneclient (>= 1:0.4.0),
                     python-kombu (>> 2.4.7),
                     python-lockfile,
                     python-lxml,
                     python-ming,
                     python-mock (>= 1.0),
                     python-mox,
                     python-msgpack,
                     python-netaddr (>= 0.7.6),
                     python-netifaces,
                     python-nose,
                     python-nova (>= 2013.2~),
                     python-novaclient (>= 2:2.13.0),
                     python-oslo.config (>= 1.2.1),
                     python-oslo.sphinx,
                     python-pecan (>= 0.2.1),
                     python-pymongo (>= 2.4),
                     python-requests (>= 1.2),
                     python-setuptools-git,
                     python-simplegeneric (>= 0.8),
                     python-six (>= 1.4.1),
                     python-sphinx,
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 0.7.3),
                     python-stevedore (>= 0.9),
                     python-subunit,
                     python-swift (>= 1.8.0),
                     python-swiftclient (>= 1:1.6.0),
                     python-testrepository (>= 0.0.13),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.29),
                     python-unittest2,
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.5b6),
                     python-yaml,
                     testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: python-ceilometer
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.4.2),
         libjs-jquery,
         python-anyjson (>= 0.3.3),
         python-ceilometerclient (>= 1.0.6),
         python-d2to1 (>= 0.2.10),
         python-eventlet (>= 0.13.0),
         python-extras,
         python-flask (>= 0.10),
         python-glanceclient (>= 1:0.10.0),
         python-greenlet (>= 0.4),
         python-iso8601 (>= 0.1.8),
         python-keystoneclient (>= 1:0.4.0),
         python-kombu (>> 2.4.7),
         python-lockfile,
         python-lxml,
         python-msgpack,
         python-netaddr (>= 0.7.6),
         python-novaclient (>= 2:2.13.0),
         python-oslo.config (>= 1.2.1),
         python-pbr (>= 0.5.21),
         python-pecan (>= 0.2.1),
         python-pymongo (>= 2.4),
         python-requests (>= 1.2),
         python-simplegeneric (>= 0.8),
         python-six (>= 1.4.1),
         python-sqlalchemy (>= 0.7.3),
         python-stevedore (>= 0.9),
         python-swiftclient (>= 1:1.6.0),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.5b6),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

Package: ceilometer-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         python-ceilometer (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-collector
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - collector service
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the collector service.

Package: ceilometer-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         ceilometer-common (= ${binary:Version}),
         debconf,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system (API service)
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the API service.

Package: ceilometer-agent-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the compute agent.

Package: ceilometer-agent-central
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - central agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the central agent.

Package: ceilometer-alarm-evaluator
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm evaluator daemon.

Package: ceilometer-alarm-notifier
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ceilometer-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack efficient metering counters system - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, accros
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 This package contains the alarm notifier daemon.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_clean:
	dh_clean
	rm -rf ceilometer.egg-info
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst debian/ceilometer-api.config debian/ceilometer-api.postinst

override_dh_install:
	dh_install
	install -D -m 0644 $(CURDIR)/etc/ceilometer/ceilometer.conf.sample	$(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf
	install -D -m 0644 $(CURDIR)/etc/ceilometer/policy.json			$(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/policy.json
	install -D -m 0644 $(CURDIR)/etc/ceilometer/sources.json		$(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/sources.json
	install -D -m 0644 $(CURDIR)/etc/ceilometer/pipeline.yaml		$(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/pipeline.yaml

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-api.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/*.upstart
	rm -rf debian/ceilometer-common.postinst
	find . -iname '*.pyc' -delete
	rm -rf .testrepository nova_tests/.testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run-tests.sh || true
	#PYTHONPATH=. nosetests -P || true
endif

## ceilometer 2013.2.3

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 argparse
 SQLAlchemy>=0.7.8,<=0.7.99
 sqlalchemy-migrate>=0.7.2
-alembic>=0.4.1
+alembic>=0.4.1,<0.6.4
 netaddr
 pymongo>=2.4
 eventlet>=0.13.0

=== debian/changelog ===
ceilometer (2013.2.3-0ubuntu1~cloud0) precise-havana; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Apr 2014 07:15:52 -0400

ceilometer (2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * debian/patches/fix-setup-requirements.patch: Rebase on top of
    new upstream requirements.txt file.
  * Resynchronize with stable/havana (0ac6942) (LP: #1302575):
    - [c92c106] latest alembic imcompatible with current sqlalchemy requirements
    - [4ffeead] User a more accurate max_delay for reconnects
    - [6637acd] Checks for presence of Hyper-V cpu metrics before accessing
    - [7cb5f4c] Fix ceilometer.conf.sample mismatch
    - [ebe72d5] Fixes Hyper-V Inspector disk metrics bug
    - [bbab3d5] Fix validation error for invalid field name in simple query
    - [83a2725] Adds doc string to query validate functions in V2 API
    - [4461828] Ensure insecure config option propagated by alarm service
    - [0a1db09] Fix the default rpc policy value
    - [b13ee97] Ensure the correct error message is displayed
    - [2c6a84f] Refactor timestamp existence validation in V2 API
    - [ff0375c] cacert is not picked up correctly by alarm services
    - [0a85f22] Add an insecure option for Keystone client
    - [0ac6942] Propogate cacert and insecure flags to glanceclient

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Apr 2014 12:02:50 -0400

ceilometer (2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9149861) (LP: #1284643):
    - [a3da4dc] instance.scheduled meter is never persisted LP: 1262255
    - [3089be8] first & last sample timestamps not included in the Resource
      representation LP: 1262335
    - [ef71dc6] cardinality of storage.models.Resource.meter attribute is one-
      per-sample LP: 1267162
    - [16eb199] pep8 gating fails due to tools/config/check_uptodate.sh
      LP: 1268614
    - [df7ff3b] ceilometer-agent-compute not working when using instances are
      directly using volumes as backend LP: 1233103
    - [6524bf3] mongo aggregation pipeline for resource retrieval fails with
      excessive memory use LP: 1262571
    - [28a2307] Can not create alarm successfully according to examples in
      community LP: 1245362
    - [51328a3] Add keystone_authtoken.enforce_token_bind boilerplate
    - [9149861] Pipeline configuration is missing from doc LP: 1272988

 -- James Page <james.page@ubuntu.com>  Wed, 26 Feb 2014 09:06:20 +0000

ceilometer (2013.2.1-0ubuntu2) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (fa5c8e2) (LP: #1262788):
    - [ec31468] change alarm_history.detail column type to Text LP: 1236861
    - [b616562] wsme 0.5b6 is broken LP: 1240741
    - [d90c8e1] Open stable/havana
    - [ef6c659] Ceilometer log contains DB password in plain text LP: 1244476
    - [7ad530b] Pin test-requirement for Nova to Havana
    - [d554fa8] import of rabbitMQ-specific config options regardless of
      configured RPC backend LP: 1244698
    - [99b21df] Havan rc2 acl scenarios failing due to timezone assumption
      LP: 1240994
    - [c5b7462] alarm creation with sqlalchemy fails with intermittent
      IntegrityError LP: 1255107
    - [ae82878] [Postgresql] ERROR in ceilometer-collector log after successful
      tempest run LP: 1237671
    - [5cbb965] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [40b833c] On restart of QPID broker, fanout no longer works LP: 1251757
    - [fa5c8e2] Updated from global requirements
  * debian/patches: Refreshed.
  * debian/patches/revert-keystone-compat.patch: Revert additional
    keystoneclient 0.4.0 compat changes that were applied to stable/havana
    to fix upstream gate issues.
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 12 Dec 2013 13:29:59 -0800
